extends ../base.jade

block scripts
  script(src='//yandex.st/share/share.js')
  script(src='https://maps.googleapis.com/maps/api/js?v=3.exp')


block vars
  - var page = 'event_item'
  - var locale = req.getLocale()
  - var parc_types = ['organizer', 'participant', 'general_funder', 'information_funder', 'funder']

block title
  title= event.name+' | '+ __('title_right_part')

block main
  .Event.isle.PW(itemscope itemtype="https://schema.org/Event")
    .IB(style="margin-bottom: 20px; width: 100%; text-align: right")
      img(style="margin-left: 10px", src= Data.event_icons.blue[event.type], title= __(event.type))
      if session.user
        .icon-favs(data-event-id= event.id ,class= event.is_subscribed? "subscribed a-subscribeToEvent" : "a-subscribeToEvent", title= event.is_subscribed? __('remove_from_favs') : __('add_to_favs'))
        if session.user.type === 'administrator' || session.user.type === 'moderator' || session.user.id == event.author_id
          a(style="margin-left: 10px;text-decoration: none", href='/event/'+ event.slug +'/edit')
            span.Fsg= __('edit')
            img(style="margin-left: 5px; position: relative; top: 2px", src="/images/icons/edit.png")

    if event.title_img
      div(style="text-align: center")
        img.title_img(src= event.title_img, title= event.name)
    else
      h1= event.name

    div(style="position:relative; margin: 40px 0; text-align: center; min-height: 30px")
      if event.date > new Date()
        span(style="position: absolute;left: 0px;top: 6px;")= Transform.date_to_range(event.date, event.duration, locale)
        
        if session.user && !is_went
          if event.is_enroll
            button.button.press.UC(style="padding: 7px 30px")= __('already_enroll')
          else
            button.button.press.UC.active.a-popup-eventEnroll(style="padding: 7px 30px", data-event-id= event.id)= __('enroll')
        else 
          button.button.press.UC.active.a-popup-signup(style="padding: 7px 30px", title= __('enroll_noreg_title'))= __('enroll')


    if !_.isEmpty(event.topics)
      .headline= (event.topics.length === 1)? __('theme') : __('theme_m')
      div(style="padding-left: 20px")
        for topic in event.topics
          h2= topic


    if event.description
      .headline=  __('description')
      .html(style="padding-left: 20px; display: block")!= event.description
    
    .headline= __('additional_information')
    ul.list2Col(style="display: block")
      if event.needs
        li
          span.col1= __('requirements')+":"
          span.col2= event.needs
      
      - var phoneNumbers = _.where(event.contacts.fields, function(field){ return ['global_phone','city_phone','mobile_phone'].indexOf(field.type) !== -1 })
      if !_.isEmpty(phoneNumbers)
        for number in phoneNumbers
          li
            span.col1= __('phone')+":"
            span.col2= number.value

      - var emails = _.where(event.contacts.fields,{type: 'email'})
      if !_.isEmpty(emails)
        for email in emails
          li
            span.col1= __('email')+":"
            span.col2= email.value

      - var address = _.where(event.contacts.fields,{type: 'address'})
      - var mapCoord = _.find(event.contacts.fields,{type: 'latlng'})
      - var city = event.contacts.city
      li
        span.col1= __('address')+":"
        if mapCoord
          a.col2(href="#googleMap", style="color: #21447a")= city + (address[0]? ', '+ address[0].value : '')
        else 
          span.col2= city + (address[0]? ', '+ address[0].value : '')


      - var prices = ParseSchema.event_price(event.ticket_price)
      for price in prices
        li
          span.col1= __('price')+":"
          span.col2(title= price.description)= price.text + (price.description? " *" : "")


    if !_.isEmpty(event.speakers)
      .headline= (event.speakers.length === 1)? __('speaker') : __('speaker_m')
      .User(style="text-align: center")
        for speaker in event.speakers
          a.User_item(href= '/user/'+speaker.id)
            if speaker.avatar
              img.avatar(src= speaker.avatar, title= speaker.display_name)
            else
              img.avatar(src='/images/icons/default_avatar_big.png', title= speaker.display_name)
            p.fullName= speaker.last_name+' '+speaker.first_name
            p.Fvsb= speaker.title

    if event.event_days.length === 1
      - var day = event.event_days[0]
      ul.timeLine(id= 'day'+day.day_number style="margin: 40px 0")

        for part in day.parts
          li.timeLine_item
            if part.part_start
              span.begin= Transform.datetime_to_time_value(part.part_start)
            .blockContent
              .title= part.title
              if part.price
                p(style="margin-top: 20px")= 'Цена: '+part.price
              
              if part.html
                .html!= part.html

              if !part.price
                if part.speaker_id
                  a.Fsb(style="margin-top: 5px" ,href= '/user/'+part.speaker_id)= part.speaker
                else
                  .Fsb(style="margin-top: 5px")= part.speaker

              else
                h4= __('speaker')+":"
                p= part.speaker

    else 
      #Tabs
        .tabs-menu
          for day, i in event.event_days
            .item.button.press(href= '#day'+day.day_number, class= i==0? 'active' : null )= __('day')+' '+day.day_number

        #tabs_container
          for day in event.event_days
            ul.timeLine(id= 'day'+day.day_number)

              for part in day.parts
                li.timeLine_item
                  if part.part_start
                    span.begin= Transform.datetime_to_time_value(part.part_start)
                  .blockContent
                    .title= part.title
                    if part.price
                      p(style="margin-top: 20px")= 'Цена: '+part.price
                    
                    if part.html
                      .html!= part.html

                    if !part.price
                      if part.speaker_id
                        a.Fsb(style="margin-top: 5px" ,href= '/user/'+part.speaker_id)= part.speaker
                      else
                        .Fsb(style="margin-top: 5px")= part.speaker

                    else
                      h4= __('speaker')+":"
                      p= part.speaker


    if !_.isEmpty(event.participants)
      - var grouping_parc = _.groupBy(event.participants, 'role')
      .Participants
        for type in parc_types
          if grouping_parc[type]
            .headline= (grouping_parc[type].length === 1)? __(type) : __(type+'_m')
            for item in grouping_parc[type]
              a.item.VA(href= item.company_id? '/company/'+item.company_id.id : null)
                if item.logo || (item.company_id && item.company_id.logo)
                  img.logo(src= item.logo || item.company_id.logo, title= item.name)
                else 
                  p.participant_name= item.name

    
    if mapCoord
      #googleMap(style="height: 200px; margin: 50px 0 15px", data-coords= mapCoord.value)

    div
      .social.yashare-auto-init(data-yashareL10n="ru", data-yashareType="none", data-yashareQuickServices="vkontakte,facebook,twitter")
      span.toRight(style="position: relative; top: 10px; font-size: 14px")= __('tell_about_us')+':'